LuceneJUnitResultFormatter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.LuceneJUnitResultFormatter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class LuceneJUnitResultFormatter

    java.lang.Object
      org.apache.lucene.util.LuceneJUnitResultFormatter

All Implemented Interfaces:
  junit.framework.TestListener, org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter, org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitResultFormatterMirror

    public class LuceneJUnitResultFormatter

extends Object
implements org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter

Just like BriefJUnitResultFormatter "brief" bundled with ant, except all formatted text is buffered until the test suite is finished. At this point, the output is written at once in synchronized fashion. This way tests can run in parallel without interleaving output.

Constructor Summary
`LuceneJUnitResultFormatter()` Constructor for LuceneJUnitResultFormatter.

Method Summary
`void` | `addError(junit.framework.Test test, Throwable error)` A test caused an error.
`void` | `addFailure(junit.framework.Test test, junit.framework.AssertionFailedError t)` Interface TestListener for JUnit > 3.4.
`void` | `addFailure(junit.framework.Test test, Throwable t)` Interface TestListener for JUnit <= 3.4.
`LuceneJUnitResultFormatter` | `append(long l)`
`LuceneJUnitResultFormatter` | `append(String s)`
`void` | `endTest(junit.framework.Test test)` A test ended.
`void` | `endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)` The whole testsuite ended.
`protected void` | `formatError(String type, junit.framework.Test test, Throwable error)` Format an error and print it.
`protected String` | `formatTest(junit.framework.Test test)` Format the test for printing..
`void` | `setOutput(OutputStream out)` Sets the stream the formatter is supposed to write its results to.
`void` | `setSystemError(String err)` .
`void` | `setSystemOutput(String out)` .
`void` | `startTest(junit.framework.Test test)` A test started.
`void` | `startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)` The whole testsuite started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneJUnitResultFormatter

    public LuceneJUnitResultFormatter()

  Constructor for LuceneJUnitResultFormatter.

Method Detail

### setOutput

    public void setOutput(OutputStream out)

  Sets the stream the formatter is supposed to write its results to.

  Specified by:
    `setOutput` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`
  Specified by:
    `setOutput` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitResultFormatterMirror`
  Parameters:
    `out` - the output stream to write to

### setSystemOutput

    public void setSystemOutput(String out)

  .

  Specified by:
    `setSystemOutput` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

### setSystemError

    public void setSystemError(String err)

  .

  Specified by:
    `setSystemError` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`

### startTestSuite

    public void startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

  The whole testsuite started.

  Specified by:
    `startTestSuite` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`
  Parameters:
    `suite` - the test suite

### endTestSuite

    public void endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

  The whole testsuite ended.

  Specified by:
    `endTestSuite` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`
  Parameters:
    `suite` - the test suite

### startTest

    public void startTest(junit.framework.Test test)

  A test started.

  Specified by:
    `startTest` in interface `junit.framework.TestListener`
  Parameters:
    `test` - a test

### endTest

    public void endTest(junit.framework.Test test)

  A test ended.

  Specified by:
    `endTest` in interface `junit.framework.TestListener`
  Parameters:
    `test` - a test

### addFailure

    public void addFailure(junit.framework.Test test,
                           Throwable t)

  Interface TestListener for JUnit <= 3.4.

  A Test failed.

  Parameters:
    `test` - a test
    `t` - the exception thrown by the test

### addFailure

    public void addFailure(junit.framework.Test test,
                           junit.framework.AssertionFailedError t)

  Interface TestListener for JUnit > 3.4.

  A Test failed.

  Specified by:
    `addFailure` in interface `junit.framework.TestListener`
  Parameters:
    `test` - a test
    `t` - the assertion failed by the test

### addError

    public void addError(junit.framework.Test test,
                         Throwable error)

  A test caused an error.

  Specified by:
    `addError` in interface `junit.framework.TestListener`
  Parameters:
    `test` - a test
    `error` - the error thrown by the test

### formatTest

    protected String formatTest(junit.framework.Test test)

  Format the test for printing..

  Parameters:
    `test` - a test
  Returns:
    the formatted testname

### formatError

    protected void formatError(String type,
                               junit.framework.Test test,
                               Throwable error)

  Format an error and print it.

  Parameters:
    `type` - the type of error
    `test` - the test that failed
    `error` - the exception that the test threw

### append

    public LuceneJUnitResultFormatter append(String s)

### append

    public LuceneJUnitResultFormatter append(long l)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD